package com.ruoyi.system.domain.illegalParking;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 违章停车登记对象 illegal_parking
 * 
 * @author boman
 * @date 2025-02-14
 */
public class IllegalParking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 违章停车登记主键 */
    private Long illegalParkingId;

    /** 车牌号码 */
    @Excel(name = "车牌号码")
    private String plateNumber;

    /** 门户id */
    @Excel(name = "门户id")
    private Long portalId;

    /** 关联门户 */
    @Excel(name = "关联门户")
    private String visitPortal;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobileNumber;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String visitName;

    /** 违章照片 */
    @Excel(name = "违章照片")
    private String illegalPhoto;
    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String carType;

    /** 是否黑名单 N:否 Y:是 */
    @Excel(name = "是否黑名单 N:否 Y:是")
    private String isBlack;
    /**
     * 违停记录子集
     */
    private List<IllegalParking> children;

    public List<IllegalParking> getChildren() {
        return children;
    }

    public void setChildren(List<IllegalParking> children) {
        this.children = children;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public void setIllegalParkingId(Long illegalParkingId)
    {
        this.illegalParkingId = illegalParkingId;
    }

    public Long getIllegalParkingId() 
    {
        return illegalParkingId;
    }
    public void setPlateNumber(String plateNumber) 
    {
        this.plateNumber = plateNumber;
    }

    public String getPlateNumber() 
    {
        return plateNumber;
    }
    public void setPortalId(Long portalId) 
    {
        this.portalId = portalId;
    }

    public Long getPortalId() 
    {
        return portalId;
    }
    public void setVisitPortal(String visitPortal) 
    {
        this.visitPortal = visitPortal;
    }

    public String getVisitPortal() 
    {
        return visitPortal;
    }
    public void setMobileNumber(String mobileNumber) 
    {
        this.mobileNumber = mobileNumber;
    }

    public String getMobileNumber() 
    {
        return mobileNumber;
    }
    public void setVisitName(String visitName) 
    {
        this.visitName = visitName;
    }

    public String getVisitName() 
    {
        return visitName;
    }
    public void setIllegalPhoto(String illegalPhoto) 
    {
        this.illegalPhoto = illegalPhoto;
    }

    public String getIllegalPhoto() 
    {
        return illegalPhoto;
    }
    public void setIsBlack(String isBlack) 
    {
        this.isBlack = isBlack;
    }

    public String getIsBlack() 
    {
        return isBlack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("illegalParkingId", getIllegalParkingId())
            .append("plateNumber", getPlateNumber())
            .append("portalId", getPortalId())
            .append("visitPortal", getVisitPortal())
            .append("mobileNumber", getMobileNumber())
            .append("visitName", getVisitName())
            .append("illegalPhoto", getIllegalPhoto())
            .append("isBlack", getIsBlack())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
